From bb369334722b23120bf0b0e91e6a6c69e0884474 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Bazyli=20Brz=C3=B3ska?= <bazyli.brzoska@gmail.com>
Date: Mon, 9 Sep 2013 21:06:48 +0200
Subject: [PATCH 27/40] xterm extended fix

---
 src/terminal/terminaldisplay.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/terminal/terminaldisplay.cc b/src/terminal/terminaldisplay.cc
index 5b0b580..b76d84e 100644
--- a/src/terminal/terminaldisplay.cc
+++ b/src/terminal/terminaldisplay.cc
@@ -298,10 +298,10 @@ std::string Display::new_frame( bool initialized, const Framebuffer &last, const
     frame.append( f.ds.xterm_mouse ? "\033[?1002h" : "\033[?1002l" );
   }
 
-  /* has xterm mouse mode changed (SET_ANY_EVENT_MOUSE)? */
+  /* has xterm mouse mode changed? */
   if ( (!initialized)
        || (f.ds.xterm_extended_mouse != frame.last_frame.ds.xterm_extended_mouse) ) {
-    frame.append( f.ds.xterm_extended_mouse ? "\033[?1006h" : "\033[?1006l" );
+    frame.append( f.ds.xterm_extended_mouse ? "\033[?1006h\033[?1002h" : "\033[?1006l\033[?1002l" );
   }
 
   return frame.str;

